﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

namespace DockingWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadDocking_PaneStateChange(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            if ((e.OriginalSource as RadPane).IsFloating)
            {
                var paneGroup = (e.OriginalSource as RadPane).PaneGroup;

                if (paneGroup != null)
                {
                    paneGroup.TabStripPlacement = Dock.Bottom;
                }
            }
            else
            {
                var paneGroup = (e.OriginalSource as RadPane).PaneGroup;
                if (paneGroup != null && paneGroup.TabStripPlacement == Dock.Bottom)
                {
                    paneGroup.TabStripPlacement = Dock.Top;
                }
            }
        }
    }
}
